import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import className from 'classnames';
import './test-component.less';

export default class ApiButton extends PureComponent {
    static propTypes = {
        clazzName: PropTypes.string,
        handleClick: PropTypes.func,
        label: PropTypes.string
    };

    render() {
        const {clazzName, handleClick, label} = this.props;
        return <button
            className={className('xl-react-button', 'xl-primary', 'api-button', clazzName)}
            onClick={handleClick}
            type="button">
            {label}
        </button>;
    }
}
