import R from 'ramda';
import dipActions from '../actions/dip-actions';
import {dipInitialState} from '../dip-page/dip-initial-state';
import {actionReducer, composeReducer, stateIdentity} from './reducer-utils';

const updateModelState = actionReducer((state, action) => {
    const modelState = R.mergeDeepRight(state[action.modelName], action.value);
    const modelPath = ['componentProps', 'model'];
    const model = R.path(['componentProps', 'model'], action.value);
    return {
        ...state,
        [action.modelName]: model ? R.assocPath(modelPath, model, modelState) : modelState
    };
});

export const dipReducer = composeReducer(
    updateModelState(dipActions.UPDATE_MODEL_STATE),
    stateIdentity
)(dipInitialState);
