import {combineReducers} from 'redux';
import {connectRouter} from 'connected-react-router';
import history from '../../history';
import {xlReactWidgetReduxTableReducer}
    from '../../xl-react-widget/xl-react-widget-redux-table/xl-react-widget-redux-table-reducer';
import {xlReactDipReduxFormReducer}
    from '../../xl-react-form/xl-react-dip-redux-form/xl-react-dip-redux-form-reducer';
import {xlReactConfirmationDialogReducer}
    from '../../xl-react-widget/xl-react-widget-confirmation-dialog-container/redux/confirmation-dialog-reducer';
import {formInitialState} from '../form-page/form-initial-state';
import {buttonReducer} from './buttons-reducer';
import {dipReducer} from './dip-reducer';
import {widgetReducer} from './widget-reducer';

export const allReducers = combineReducers({
    button: buttonReducer,
    confirmationDialog: xlReactConfirmationDialogReducer(),
    dip: dipReducer,
    forms: xlReactDipReduxFormReducer(formInitialState),
    router: connectRouter(history),
    tables: xlReactWidgetReduxTableReducer({}),
    widget: widgetReducer
});
