import R from 'ramda';
import RS from 'ramdasauce';

export const withoutRootNode = (ciId) => {
    if (!ciId) {
        return ciId;
    }
    const tokens = ciId.split('/');
    return tokens.length > 1 ? tokens.splice(1).join('/') : ciId;
};

export const getBaseName = R.pipe(R.split('/'), R.last);

export const ERROR = 'ERROR';
export const WARNING = 'WARNING';

export const isError = (valid, message) => R.and(!valid, R.whereEq({show: true, type: ERROR}, message || {}));
export const isWarning = (valid, message) => R.and(valid, R.whereEq({show: true, type: WARNING}, message || {}));

export const hasInputHints = R.pathSatisfies(R.complement(RS.isNilOrEmpty), ['inputHint', 'values']);

export const getInputHintValues = R.path(['inputHint', 'values']);
