import R from 'ramda';

export const transformItem = R.curry((item, objLabel) => R.is(Object, item) && objLabel ? item[objLabel] : item);

export const transformItemOr = (defaultValue, item, objLabel) => {
    const transformedItem = transformItem(item, objLabel);
    return transformedItem || '';
};

export const transformModel = R.curry((objLabel, model) =>
    R.map((item) => transformItem(item, objLabel))(model)
);

export const findFirstFieldNameWithFalseValue = (obj) => R.pipe(
    R.filter(R.complement(R.identity)),
    R.keys,
    R.head
)(obj);

export const transformMessage = (message, showMessages) =>
    R.assoc('show', R.prop('show', message) || showMessages, message);
