import PropTypes from 'prop-types';
import React from 'react';
import R from 'ramda';
import {isComponentDisabled} from '../../utils/components-utils';
import {XlReactDipContainerProps} from '../xl-react-dip-props';
import {XlReactDipBooleanComponent} from './xl-react-dip-boolean-component';

export const XlReactDipBoolean = (props) => {
    const {
        message,
        metadata: {description, label, name, required},
        model,
        onModelChange,
        onValidityChange,
        valid
    } = props;

    if (R.isNil(model)) {
        onModelChange(false, false);
    }

    const onToggleChange = () => {
        onModelChange(!props.model);
    };

    const disabled = isComponentDisabled(props);

    return <XlReactDipBooleanComponent {...({
        description,
        disabled,
        handleModelChange: onToggleChange,
        label,
        message,
        model: model || false,
        name,
        onValidityChange,
        required,
        valid
    })}
    />;
};

XlReactDipBoolean.propTypes = {
    model: PropTypes.bool,
    ...XlReactDipContainerProps
};

XlReactDipBoolean.defaultProps = {
    metadata: {},
    onModelChange: R.F,
    validators: []
};
