import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import {SortDirection} from 'react-virtualized';
import ColHeader from './column-header';

export const headerRenderer = (label, sortByKey) => (headerProps) => {
    const {sortBy, sortDirection} = headerProps;
    return <ColHeader
        clazzName={classNames({
            '-sort-asc': sortBy === sortByKey && sortDirection === SortDirection.ASC,
            '-sort-desc': sortBy === sortByKey && sortDirection === SortDirection.DESC
        })}
        label={label}
    />;
};

headerRenderer.propTypes = {label: PropTypes.string.isRequired};
