import React from 'react';
import ColResizer from './columns/column-resizer';
import {COLUMNS, calculateColumnResizerBounds} from './map-table-utils';

export const createHeaderRowRenderer = (tableHeight, tableWidth, handleResize) => (rowConfig) => {
    const {className, columns: [keyCol, valueCol], style} = rowConfig;
    return <div
        className={className} role="row" style={style}>
        {keyCol}
        <ColResizer
            bounds={calculateColumnResizerBounds(tableWidth)}
            height={tableHeight}
            leftColumn={COLUMNS.key}
            onResize={handleResize}
            rightColumn={COLUMNS.value}
            tableWidth={tableWidth}
        />
        {valueCol}
    </div>;
};
