import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import {XlReactDipContainerProps} from '../xl-react-dip-props';
import {XlReactWidgetString} from '../../xl-react-widget/xl-react-widget-string/xl-react-widget-string';

export class XlReactDipString extends PureComponent {
    static propTypes = {
        model: PropTypes.string,
        toggleButton: PropTypes.node,
        ...XlReactDipContainerProps
    };

    static defaultProps = {metadata: {}};

    render() {
        const {
            className,
            disabled,
            displayMode,
            message,
            metadata,
            model,
            onMessageChange,
            onModelChange,
            onPristinityChange,
            onValidityChange,
            pristine,
            register,
            unregister,
            toggleButton,
            valid,
            validators
        } = this.props;

        return <XlReactWidgetString {...{
            addons: toggleButton,
            className,
            disabled,
            displayMode,
            independent: true,
            message,
            metadata,
            model,
            onMessageChange,
            onModelChange,
            onPristinityChange,
            onValidityChange,
            pristine,
            register,
            unregister,
            valid,
            validators
        }}
        />;
    }
}
