import React from 'react';
import R from 'ramda';
import classNames from 'classnames';
import {confirmationDialogSkins} from '../xl-react-widget-confirmation-dialog-skins';

export const defaultConfirmationDialogBehavior = {
    isMatched: (skin) => skin === confirmationDialogSkins.DEFAULT,
    renderButtonsLayout: (component) => {
        const {buttons} = component.props;
        return <div>
            {R.map((button) => {
                const handleClick = () => component.handleClick(button.action);
                return <button
                    className={classNames('xl-react-button', button.className)}
                    disabled={button.disabled}
                    key={button.action}
                    onClick={handleClick}
                    type="button">
                    {button.label}
                </button>;
            }, buttons)}
        </div>;
    }
};
