import React from 'react';
import PropTypes from 'prop-types';
import {genericTimestampFormatWithSeconds} from '../../utils/date-utils';
import {lastUpdatedTimestamp} from './time-formatter';
import './last-updated-component.less';

const LastTimeUpdatedComponent = ({value, format}) => value ?
    <div className="last-updated-container">
        <span className="last-updated-component">
            {lastUpdatedTimestamp(value, format)}
        </span>
    </div> : null;
LastTimeUpdatedComponent.propTypes = {
    format: PropTypes.string,
    value: PropTypes.instanceOf(Date)
};

LastTimeUpdatedComponent.defaultProps = {format: genericTimestampFormatWithSeconds};

export const XlLastTimeUpdatedComponent = React.memo(LastTimeUpdatedComponent);
