import {call, put, select} from 'redux-saga/effects';
import tableActions from '../xl-react-widget-redux-table-actions';
import {getTableById} from '../xl-react-widget-table-selectors';
import {buildMetadata, buildFilterQuery} from '../query-builder-utils';
import {fetchData, withDelay, withSpinner} from './xl-react-widget-redux-table-common-saga';

export function* filterSaga({api, filter, tableId}) {
    const {filterDebounceTime, filters} = yield select(getTableById, tableId);
    const metadata = buildMetadata('filter', buildFilterQuery(filters));
    yield put(tableActions.setFilters(tableId, filter));
    const effect = call(
        withSpinner,
        tableId,
        call(
            fetchData,
            tableId,
            api,
            metadata
        ));
    yield call(withDelay, effect, filterDebounceTime);
}
