import {all, takeEvery, takeLatest} from 'redux-saga/effects';
import tableActions from './xl-react-widget-redux-table-actions';
import {paginateSaga} from './sagas/xl-react-widget-redux-table-pagination-saga';
import {sortSaga} from './sagas/xl-react-widget-redux-table-sorting-saga';
import {initializeSaga, refreshSaga} from './sagas/xl-react-widget-redux-table-common-saga';
import {filterSaga} from './sagas/xl-react-widget-redux-table-filter-saga';

export function* xlReactWidgetReduxTableRootSaga() {
    yield all([
        takeEvery(tableActions.INITIALIZE, initializeSaga),
        takeEvery(tableActions.SORT, sortSaga),
        takeLatest(tableActions.FILTER, filterSaga),
        takeEvery(tableActions.PAGINATE, paginateSaga),
        takeEvery(tableActions.REFRESH, refreshSaga)
    ]);
}
