import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import classNeams from 'classnames';

import './xl-react-widget-switch.less';

export class XlReactWidgetSwitchComponent extends PureComponent {
    static propTypes = {
        className: PropTypes.string,
        disabled: PropTypes.bool,
        model: PropTypes.bool.isRequired,
        name: PropTypes.string,
        onModelChange: PropTypes.func.isRequired,
        renderSwitch: PropTypes.func.isRequired,
        switchClassName: PropTypes.string
    };

    render() {
        const {
            className,
            disabled,
            model,
            name,
            onModelChange,
            renderSwitch,
            switchClassName
        } = this.props;

        const labelClassName = classNeams('xl-react-widget-switch-label', className, {
            'xl-react-widget-switch-checked': model,
            'xl-react-widget-switch-disabled': disabled
        });
        const switchComponentClassName = classNeams('xl-react-widget-switch-component', switchClassName, {
            'xl-react-widget-switch-component-checked': model,
            'xl-react-widget-switch-component-disabled': disabled
        });

        return <label aria-disabled={disabled} className={labelClassName}>
            <input
                checked={model}
                className="xl-react-widget-switch-checkbox"
                disabled={disabled}
                name={name}
                onChange={onModelChange}
                type="checkbox"
            />
            {renderSwitch({className: switchComponentClassName, disabled, model})}
        </label>;
    }
}
