import webpack from 'webpack';
import paths from '../../utils/paths';
import prodConfig from './webpack.config.prod';

const {optimization, output, plugins, ...rest} = prodConfig;

const debugConfig = {
    ...rest,
    devtool: 'eval-source-map',
    optimization: {
        minimize: false,
        splitChunks: {chunks: 'all'}
    },
    output: {
        ...output,
        libraryTarget: 'umd',
        path: paths.debugDistDir,
        publicPath: '/debugDist/dist/'
    },
    plugins: [
        new webpack.optimize.ModuleConcatenationPlugin()
    ]
};

export default debugConfig;
