import {Action, Expectation} from 'protractor-base-dsl';
import WidgetAutocomplete from '../widget/widget-autocomplete';
import TestBindings from '../../common/test-bindings';

export const radioGroupSelector = '.testComponent .xl-react-widget-radio-group';

export const expectRadioInputDisabled = () =>
    Expectation.disabled('.testComponent .xl-react-widget-radio-group input');

export const expectRadioInputEnabled = () =>
    Expectation.enabled('.testComponent .xl-react-widget-radio-group input');

export const setRadioValue = (option) =>
    Action.click(`${radioGroupSelector} .xl-react-widget-radio:nth-child(${option}) .radio-group-option`);

export const toggleDropdownView = () => TestBindings.openEnumAndSelect(1, 'view');
export const toggleRadioView = () => TestBindings.openEnumAndSelect(2, 'view');

const DipEnum = {
    ...WidgetAutocomplete,
    expectRadioInputDisabled,
    expectRadioInputEnabled,
    setRadioValue,
    toggleDropdownView,
    toggleRadioView
};

export default DipEnum;
global.DipEnum = DipEnum;
