import R from 'ramda';
import {Action, ActionUtil, WaitCondition} from 'protractor-base-dsl';

const selectOption = (label) => {
    const optionSelector = '.xl-react-widget-radio-group .xl-react-widget-radio';
    const optionElement = element.all(By.css(optionSelector))
        .filter((elem) =>
            elem.element(By.css('.input-label')).getText().then((labelText) =>
                R.equals(labelText, label)
            ))
        .first();

    const action = () => Action.click(optionElement);
    const condition = () => WaitCondition.displayed(`${optionSelector} .input-label.checked`);
    ActionUtil.repeatAction(action, condition);
};

const WidgetRadioGroup = {selectOption};
export default WidgetRadioGroup;
global.WidgetRadioGroup = WidgetRadioGroup;
