import {Action, Expectation} from 'protractor-base-dsl';
import XlComponent from '../base/xl-component';

const componentSelector = '.testComponent .xl-react-widget-time';
const pickerSelector = '.xl-react-widget-time-content';
const inputSelector = `${componentSelector} input`;

const clickOnInput = () => Action.clickIfClickable(inputSelector);
const expectInputDisabled = () => Expectation.disabled(inputSelector);
const expectInputEnabled = () => Expectation.enabled(inputSelector);
const expectInputValue = (value) =>
    Expectation.attributeContainsValue(`${componentSelector} input`, 'value', value);
const expectTimePickerPresent = () => Expectation.present(pickerSelector);
const expectTimePickerNotPresent = () => Expectation.notPresent(pickerSelector);
const expectHour = (hour) =>
    Expectation.textEquals(`${pickerSelector} .hour-time`, hour);
const expectMinute = (minute) =>
    Expectation.textEquals(`${pickerSelector} .minute-time`, minute);
const expectAm = () =>
    Expectation.textEquals(`${pickerSelector} .am-pm`, 'AM');
const expectPm = () =>
    Expectation.textEquals(`${pickerSelector} .am-pm`, 'PM');
const minusHour = () =>
    Action.click(`${pickerSelector} .minus-hour`);
const minusMinute = () =>
    Action.click(`${pickerSelector} .minus-minute`);
const plusHour = () =>
    Action.click(`${pickerSelector} .plus-hour`);
const plusMinute = () =>
    Action.click(`${pickerSelector} .plus-minute`);

const WidgetTime = {
    ...XlComponent,
    clickOnInput,
    expectAm,
    expectHour,
    expectInputDisabled,
    expectInputEnabled,
    expectMinute,
    expectInputValue,
    expectPm,
    expectTimePickerPresent,
    expectTimePickerNotPresent,
    minusHour,
    minusMinute,
    plusHour,
    plusMinute
};

export default WidgetTime;
global.WidgetTime = WidgetTime;
