import Navigation from '../../../dsl/common/navigation';
import TestBindings from '../../../dsl/common/test-bindings';
import DipCi from '../../../dsl/component/dip/dip-ci';

describe('XL DIP Ci Required Scenario', () => {
    beforeAll(() => {
        Navigation.openDipElement('dipCi1');
        TestBindings.toggleRequired();
    });

    afterAll(() => {
        TestBindings.toggleRequired();
        TestBindings.resetPristinity();
    });

    it('should have right initial state', () => {
        TestBindings.expectModelToEqual('');
        TestBindings.expectPristineToEqual('true');
        TestBindings.expectValidToEqual('false');
        DipCi.expectLabel('Autocomplete*');
        DipCi.expectDescription('This is my autocomplete field.');
    });

    it('should properly show invalid state depends on provided data', () => {
        DipCi.clickOnInput();
        DipCi.setValue('1');
        DipCi.selectOption(1);

        TestBindings.expectModelToEqual('Application1');
        TestBindings.expectValidToEqual('true');
        TestBindings.expectPristineToEqual('false');

        DipCi.clearSelection();

        TestBindings.expectModelToEqual('');
        TestBindings.expectPristineToEqual('false');
        TestBindings.expectValidToEqual('false');
    });
});
