import Navigation from '../../../dsl/common/navigation';
import WidgetReduxTable from '../../../dsl/component/widget/widget-redux-table';

describe('XL Widget Table Scenario', () => {
    beforeAll(() => Navigation.openWidgetElement('widgetReduxTable2'));

    it('should have correct initial data', () => {
        WidgetReduxTable.expectHeaders(['Firstname', 'Address', 'City', 'State']);
        WidgetReduxTable.expectTotal(10);
        WidgetReduxTable.expectPageSize(2);
        WidgetReduxTable.expectPageSizes([2, 5, 10]);
        WidgetReduxTable.expectRowToBe(1, ['John Doe', '9889 Random Road', 'Los Angeles', 'CA']);
        WidgetReduxTable.expectRowToBe(2, ['John D. Smith', '1623 Some Street', 'San Francisco', 'CA']);
        WidgetReduxTable.expectRowPresent(2);
        WidgetReduxTable.expectRowNotPresent(3);
    });

    it('should filter with autocomplete filters', () => {
        WidgetReduxTable.expectAboveTableFilterPanel(['First name', 'Address', 'City', 'State']);
        WidgetReduxTable.aboveAutocompleteTableFilterBy('City', 'New York');
        WidgetReduxTable.expectTotal(1);
        WidgetReduxTable.aboveTagsTableFilterBy('CA');
        WidgetReduxTable.expectTotal(0);
    });
});
