import {getDefaultValidatorForRequiredField} from '../../../app/services/component-service';

describe('XlDefaultValidatorTest', () => {
    const props = {
        metadata: {
            required: true,
            requiredText: 'text'
        }
    };
    const model = 'text';
    const lookupModel = {
        key: 'SECRET',
        kind: 'lookup',
        provider: 'Configurations/Vault/LookupValueProvider'
    };

    const expectedMessage = {show: false, text: 'text', type: 'ERROR'};

    it('should create default validator', () => {
        const validationResult = getDefaultValidatorForRequiredField(props)(model);
        expect(validationResult.condition).toBeFalsy();
        expect(validationResult.message).toEqual(expectedMessage);
    });

    it('should create lookup validator', () => {
        const validationResult = getDefaultValidatorForRequiredField(props)(lookupModel);
        expect(validationResult.condition).toBeFalsy();
        expect(validationResult.message).toEqual(expectedMessage);
    });
});
