import React from 'react';
import {mount} from 'enzyme';
import {Button, ButtonGroup} from 'react-bootstrap';

import {XlReactToggleButton} from '~/app/xl-react-buttons/xl-react-toggle-button/xl-react-toggle-button';

describe('XlReactToggleButtonTest', () => {
    const handleOnToggle = jest.fn();

    it('should render button group with no buttons inside', () => {
        const wrapper = mount(<XlReactToggleButton metadata={[]} onToggle={handleOnToggle}/>);
        expect(wrapper.find(ButtonGroup)).toExist();
        expect(wrapper.find(Button)).not.toExist();
    });

    it('should render one button', () => {
        const wrapper = mount(<XlReactToggleButton
            className="my-best-button"
            metadata={[{label: 'Start', value: 'Start'}]}
            objLabel="label"
            onToggle={handleOnToggle}
        />);
        expect(wrapper.find(ButtonGroup)).toExist();
        expect(wrapper.find(Button)).toExist();
        expect(wrapper.find(Button)).toHaveClassName('xl-react-button xl-secondary');
        expect(wrapper.find(Button)).toHaveText('Start');
    });
});
