import React from 'react';
import {mount} from 'enzyme';

import {XlReactDipBoolean} from '~/app/xl-react-dip/xl-react-dip-boolean/xl-react-dip-boolean';

describe('XlReactDipBoolean', () => {
    it('boolean component without label', () => {
        const wrapper = mount(<XlReactDipBoolean/>);
        expect(wrapper.find('XlReactWidgetLabel')).not.toExist();
        expect(wrapper.find('.xl-react-components-input-full')).toExist();
    });

    it('boolean component with label', () => {
        const wrapper = mount(<XlReactDipBoolean metadata={{label: "I'm boolean"}}/>);
        const label = wrapper.find('XlReactWidgetLabel');
        expect(label).toExist();
        expect(label.prop('metadata').label).toEqual("I'm boolean");
        expect(wrapper.find('.xl-react-components-input')).toExist();
    });

    it('disabled boolean component', () => {
        const wrapper = mount(<XlReactDipBoolean displayMode="visual"/>);
        expect(wrapper.find('input[type="checkbox"][disabled]')).toExist();
        expect(wrapper.find('.xl-react-components-input-full')).toExist();
    });
});
