import React from 'react';
import {mount} from 'enzyme';
import moment from 'moment';

import Helper from '../../validations-spec-helper';
import {XlReactDipDatetime} from '~/app/xl-react-dip/xl-react-dip-datetime/xl-react-dip-datetime';

describe('XlReactDipDatetime', () => {
    it('should be pristine if both the time and date components are', () => {
        const onModelChange = jest.fn();

        const wrapper = mount(<XlReactDipDatetime
            model={moment('2017-04-14 07:15').toDate()}
            onModelChange={onModelChange}
        />);

        const {makeUnpristine} = new Helper('.xl-react-dip-datetime .xl-react-widget-date').buildFromWrapper(wrapper);
        makeUnpristine('14/04/2016');
        expect(onModelChange).toBeCalledTimes(1);
        makeUnpristine('14/04/2017');
        expect(onModelChange).toBeCalledTimes(1);
    });
});
