import xlReactConfirmationDialogActions
    from '~/app/xl-react-widget/xl-react-widget-confirmation-dialog-container/redux/confirmation-dialog-actions';
import {xlReactConfirmationDialogReducer}
    from '~/app/xl-react-widget/xl-react-widget-confirmation-dialog-container/redux/confirmation-dialog-reducer';

describe('confirmation-dialog-reducer', () => {
    describe('show', () => {
        it('should be not shown to the user in initial state', () => {
            const result = xlReactConfirmationDialogReducer()(undefined, {});
            expect(result).toEqual({show: false});
        });

        it('should be possible to show dialog with specified options', () => {
            const result = xlReactConfirmationDialogReducer()(undefined,
                xlReactConfirmationDialogActions.showConfirmReject({
                    confirm: 'Yes',
                    message: 'Are you sure',
                    reject: 'No'
                }));
            expect(result).toEqual({
                options: {
                    buttons: [{
                        action: 'closed',
                        className: 'xl-primary',
                        keyCodes: [13],
                        label: 'Yes'
                    }, {
                        action: 'rejected',
                        className: 'xl-secondary',
                        keyCodes: [27],
                        label: 'No'
                    }],
                    message: 'Are you sure'

                },
                show: true
            });
        });
    });

    describe('hide', () => {
        it('should be possible to hide the dialog', () => {
            const result = xlReactConfirmationDialogReducer()({show: true}, xlReactConfirmationDialogActions.hide());
            expect(result).toEqual({show: false});
        });
    });
});
