import React from 'react';
import {shallow} from 'enzyme';

import {XlReactWidgetLabel} from '~/app/xl-react-widget/xl-react-widget-label/xl-react-widget-label';

describe('XlReactWidgetLabel', () => {
    it('check label', () => {
        const wrapper = shallow(<XlReactWidgetLabel metadata={{label: 'My Label'}}/>);
        expect(wrapper.find('.xl-react-components-label label')).toHaveText('My Label');
    });

    it('check label with required attribute', () => {
        const wrapper = shallow(<XlReactWidgetLabel metadata={{label: 'My Label', required: true}}/>);
        expect(wrapper.find('.xl-react-components-label label')).toHaveText('My Label*');
        expect(wrapper.find('.required')).toBeDefined();
    });
});
