import {multiSelectNodes, batchSelectNodes} from '~/app/xl-react-widget/xl-react-widget-tree/xl-react-widget-tree-service'; // eslint-disable-line max-len

describe('xl-react-widget-tree-service', () => {
    describe('multiSelectNodes', () => {
        const selectedNodes = ['Applications/MultiCommandApp/1.0/cmd5', 'Applications/MultiCommandApp/1.0/cmd8'];

        it('should select additional nodes when called. Previous nodes preserved', () => {
            const currentNode = {id: 'Applications/MultiCommandApp/1.0/cmd1'};
            expect(multiSelectNodes(currentNode.id, selectedNodes)).toEqual([
                ...selectedNodes, currentNode.id
            ]);
        });

        it('should un-select node that is already selected', () => {
            const currentNode = {id: 'Applications/MultiCommandApp/1.0/cmd5'};
            expect(multiSelectNodes(currentNode.id, selectedNodes)).toEqual([
                'Applications/MultiCommandApp/1.0/cmd8'
            ]);
        });
    });

    describe('batchSelectNodes', () => {
        it('should batch-select nodes between 2 nodes and preserve previous selection', () => {
            const treeNodes = [
                {id: 'Applications/MultiCommandApp/1.0/cmd1'},
                {id: 'Applications/MultiCommandApp/1.0/cmd2'},
                {id: 'Applications/MultiCommandApp/1.0/cmd3'},
                {id: 'Applications/MultiCommandApp/1.0/cmd4'},
                {id: 'Applications/MultiCommandApp/1.0/cmd5'},
                {id: 'Applications/MultiCommandApp/1.0/cmd6'},
                {id: 'Applications/MultiCommandApp/1.0/cmd7'},
                {id: 'Applications/MultiCommandApp/1.0/cmd8'}
            ];

            const selectedNodes = [
                'Applications/MultiCommandApp/1.0/cmd3',
                'Applications/MultiCommandApp/1.0/cmd4',
                'Applications/MultiCommandApp/1.0/cmd6'
            ];
            expect(batchSelectNodes(
                'Applications/MultiCommandApp/1.0/cmd2',
                'Applications/MultiCommandApp/1.0/cmd7',
                selectedNodes,
                treeNodes
            )).toEqual([
                ...selectedNodes,
                'Applications/MultiCommandApp/1.0/cmd2',
                'Applications/MultiCommandApp/1.0/cmd5',
                'Applications/MultiCommandApp/1.0/cmd7'
            ]);
        });
    });
});
